Gecode::Gist::Layouter Class Reference

Helper functions for the layout algorithm. More...

## Static Public Member Functions

template<class S1, class S2>
static int | getAlpha (const S1 &shape1, int depth1, const S2 &shape2, int depth2)
| Compute distance needed between shape1 and shape2.
template<class S1, class S2>
static void | merge (Extent *result, const S1 &shape1, int depth1, const S2 &shape2, int depth2, int alpha)
| Merge shape1 and shape2 into result with distance alpha.

## Detailed Description

Helper functions for the layout algorithm.

Definition at line 295 of file visualnode.cpp.

## Member Function Documentation

## getAlpha()

template<class S1, class S2>

int Gecode::Gist::Layouter::getAlpha | ( | const S1 & | shape1,
|  | int | depth1,
|  | const S2 & | shape2,
|  | int | depth2 )

static

Compute distance needed between shape1 and shape2.

Definition at line 310 of file visualnode.cpp.

## merge()

template<class S1, class S2>

void Gecode::Gist::Layouter::merge | ( | Extent * | result,
|  | const S1 & | shape1,
|  | int | depth1,
|  | const S2 & | shape2,
|  | int | depth2,
|  | int | alpha )

static

Merge shape1 and shape2 into result with distance alpha.

Definition at line 325 of file visualnode.cpp.

The documentation for this class was generated from the following file:

- gecode/gist/visualnode.cpp